# SoundModule Class Reference

`#include <soundmodule.h>`

List of all members.

## Public Slots

void | enableMusic (bool)
void | enableEffects (bool)

## Public Member Functions

| SoundModule (QString p_sound, QObject *parent=0)
void | setLoop (bool)
void | stop ()
void | loadfile (QString)
void | play ()
void | OneShot (QString)
bool | getMusicState ()
bool | getEffectState ()

## Protected Member Functions

void | timerEvent (QTimerEvent *)

## Detailed Description

Author:
  Samuele Catuzzi

## Member Function Documentation

void SoundModule::enableEffects | ( | bool |  | ) | `[slot]`

| No descriptions

void SoundModule::enableMusic | ( | bool |  | ) | `[slot]`

| if true Music can play if false not

bool SoundModule::getEffectState | ( |  | ) |

| retrive value of enableeffects

bool SoundModule::getMusicState | ( |  | ) |

| retrive value of enablemusic

void SoundModule::loadfile | ( | QString |  | ) |

| No descriptions

void SoundModule::OneShot | ( | QString |  | ) |

| No descriptions

void SoundModule::play | ( |  | ) |

| No descriptions

void SoundModule::setLoop | ( | bool |  | ) |

| No descriptions

void SoundModule::stop | ( |  | ) |

| No descriptions

void SoundModule::timerEvent | ( | QTimerEvent * |  | ) | `[protected]`

| No descriptions

The documentation for this class was generated from the following files:

- /home/samy/kbilliards/src/soundmodule.h
- /home/samy/kbilliards/src/soundmodule.cpp